> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/catalogs/catalog-items.md).

# Catalog Items

## List all items for a catalog

> Returns a list of items within a specific catalog with advanced filtering and search.

```json
{"openapi":"3.1.0","info":{"title":"Brand Product Catalogs API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"schemas":{"CatalogItem":{"type":"object","properties":{"CatalogItemId":{"type":"string","description":"Unique identifier for the catalog item."},"Name":{"type":"string","description":"Name of the item."},"Description":{"type":"string","description":"Description of the item — information about what it is or what it does."},"CurrentPrice":{"type":"number","description":"Current consumer price of the item."},"OriginalPrice":{"type":"number","description":"Original consumer price of the item."},"Currency":{"type":"string","description":"Currency in which the item's price is listed (ISO 4217)."},"StockAvailability":{"type":"string","enum":["InStock","OutOfStock","BackOrder","PreOrder","LimitedAvailability"],"description":"Status of the product's backstock (`InStock`, `OutOfStock`, `BackOrder`, `PreOrder`, `LimitedAvailability`)."},"Manufacturer":{"type":"string","description":"The person or group that makes the item."},"Url":{"type":"string","description":"URL that leads to the item's online store listing."},"ImageUrl":{"type":"string","description":"URL that leads to the item's image."},"Category":{"type":"string","description":"Group or kind of products with which the item is associated."},"Condition":{"type":"string","description":"Condition the item is in when sold (`New`, `Used`, `Refurbished`, `OEM`, `OpenBox`)."},"Inventory":{"type":"integer","description":"Item's inventory count."},"Uri":{"type":"string","format":"uri-reference","description":"URI that points directly to this catalog item."}}}}},"paths":{"/Advertisers/{AccountSID}/Catalogs/{CatalogId}/Items":{"get":{"operationId":"listCatalogItems","tags":["Catalog Items"],"summary":"List all items for a catalog","description":"Returns a list of items within a specific catalog with advanced filtering and search.","parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"Your unique account identifier."},{"name":"CatalogId","in":"path","required":true,"schema":{"type":"string"},"description":"Unique identifier for the catalog."},{"name":"Keyword","in":"query","schema":{"type":"string"}},{"name":"Query","in":"query","description":"Complex query string (e.g., CurrentPrice > 10.00 AND Manufacturer = 'Acme'). Eligible fields: `CatalogItemId`, `Name`, `Description`, `Labels`, `Manufacturer`, `CurrentPrice`, `StockAvailability`, `Gtin`, `Category`, `DiscountPercentage`, `Gender`, `Color`, `Size`.","schema":{"type":"string"}},{"name":"PromotionIds","in":"query","description":"Use 'null' to find items with no promotions, or '!=null' for items with promotions.","schema":{"type":"string"}},{"name":"SortBy","in":"query","description":"Sort results by a specific attribute (e.g., 'CurrentPrice'). Eligible fields: `CatalogItemId`, `Name`, `Description`, `Labels`, `Manufacturer`, `CurrentPrice`, `StockAvailability`, `Gtin`, `Category`, `DiscountPercentage`, `Gender`, `Color`, `Size`.","schema":{"type":"string"}}],"responses":{"200":{"description":"A list of items.","content":{"application/json":{"schema":{"type":"object","properties":{"Items":{"type":"array","items":{"$ref":"#/components/schemas/CatalogItem"}}}}}}}}}}}}
```

## Create an item for a catalog

> Creates a new catalog item. Google Merchant Formatting is highly recommended.

```json
{"openapi":"3.1.0","info":{"title":"Brand Product Catalogs API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"schemas":{"ItemResponse":{"type":"object","properties":{"Status":{"type":"string"},"Uri":{"type":"string"}}}}},"paths":{"/Advertisers/{AccountSID}/Catalogs/{CatalogId}/Items":{"post":{"operationId":"createCatalogItem","tags":["Catalog Items"],"summary":"Create an item for a catalog","description":"Creates a new catalog item. Google Merchant Formatting is highly recommended.","parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"Your unique account identifier."},{"name":"CatalogId","in":"path","required":true,"schema":{"type":"string"},"description":"Unique identifier for the catalog."}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","required":["CatalogItemId","Name","Url"],"properties":{"CatalogItemId":{"type":"string"},"Name":{"type":"string"},"Url":{"type":"string"},"Description":{"type":"string"},"CurrentPrice":{"type":"number"},"StockAvailability":{"type":"string","enum":["InStock","OutOfStock","BackOrder","PreOrder","LimitedAvailability"]}}}}}},"responses":{"200":{"description":"Item created.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ItemResponse"}}}}}}}}}
```

## Retrieve an item from a catalog

> Retrieves details of a specific item within a catalog.

```json
{"openapi":"3.1.0","info":{"title":"Brand Product Catalogs API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"schemas":{"CatalogItem":{"type":"object","properties":{"CatalogItemId":{"type":"string","description":"Unique identifier for the catalog item."},"Name":{"type":"string","description":"Name of the item."},"Description":{"type":"string","description":"Description of the item — information about what it is or what it does."},"CurrentPrice":{"type":"number","description":"Current consumer price of the item."},"OriginalPrice":{"type":"number","description":"Original consumer price of the item."},"Currency":{"type":"string","description":"Currency in which the item's price is listed (ISO 4217)."},"StockAvailability":{"type":"string","enum":["InStock","OutOfStock","BackOrder","PreOrder","LimitedAvailability"],"description":"Status of the product's backstock (`InStock`, `OutOfStock`, `BackOrder`, `PreOrder`, `LimitedAvailability`)."},"Manufacturer":{"type":"string","description":"The person or group that makes the item."},"Url":{"type":"string","description":"URL that leads to the item's online store listing."},"ImageUrl":{"type":"string","description":"URL that leads to the item's image."},"Category":{"type":"string","description":"Group or kind of products with which the item is associated."},"Condition":{"type":"string","description":"Condition the item is in when sold (`New`, `Used`, `Refurbished`, `OEM`, `OpenBox`)."},"Inventory":{"type":"integer","description":"Item's inventory count."},"Uri":{"type":"string","format":"uri-reference","description":"URI that points directly to this catalog item."}}}}},"paths":{"/Advertisers/{AccountSID}/Catalogs/{CatalogId}/Items/{CatalogItemId}":{"get":{"operationId":"getCatalogItem","tags":["Catalog Items"],"summary":"Retrieve an item from a catalog","description":"Retrieves details of a specific item within a catalog.","parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"Your unique account identifier."},{"name":"CatalogId","in":"path","required":true,"schema":{"type":"string"},"description":"Unique identifier for the catalog."},{"name":"CatalogItemId","in":"path","required":true,"schema":{"type":"string"},"description":"Unique identifier for the catalog item."}],"responses":{"200":{"description":"Catalog item details.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CatalogItem"}}}}}}}}}
```

## Update a catalog item

> Update specific fields of an existing catalog item.

```json
{"openapi":"3.1.0","info":{"title":"Brand Product Catalogs API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"schemas":{"CatalogItem":{"type":"object","properties":{"CatalogItemId":{"type":"string","description":"Unique identifier for the catalog item."},"Name":{"type":"string","description":"Name of the item."},"Description":{"type":"string","description":"Description of the item — information about what it is or what it does."},"CurrentPrice":{"type":"number","description":"Current consumer price of the item."},"OriginalPrice":{"type":"number","description":"Original consumer price of the item."},"Currency":{"type":"string","description":"Currency in which the item's price is listed (ISO 4217)."},"StockAvailability":{"type":"string","enum":["InStock","OutOfStock","BackOrder","PreOrder","LimitedAvailability"],"description":"Status of the product's backstock (`InStock`, `OutOfStock`, `BackOrder`, `PreOrder`, `LimitedAvailability`)."},"Manufacturer":{"type":"string","description":"The person or group that makes the item."},"Url":{"type":"string","description":"URL that leads to the item's online store listing."},"ImageUrl":{"type":"string","description":"URL that leads to the item's image."},"Category":{"type":"string","description":"Group or kind of products with which the item is associated."},"Condition":{"type":"string","description":"Condition the item is in when sold (`New`, `Used`, `Refurbished`, `OEM`, `OpenBox`)."},"Inventory":{"type":"integer","description":"Item's inventory count."},"Uri":{"type":"string","format":"uri-reference","description":"URI that points directly to this catalog item."}}},"ItemResponse":{"type":"object","properties":{"Status":{"type":"string"},"Uri":{"type":"string"}}}}},"paths":{"/Advertisers/{AccountSID}/Catalogs/{CatalogId}/Items/{CatalogItemId}":{"put":{"operationId":"updateCatalogItem","tags":["Catalog Items"],"summary":"Update a catalog item","description":"Update specific fields of an existing catalog item.","parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"Your unique account identifier."},{"name":"CatalogId","in":"path","required":true,"schema":{"type":"string"},"description":"Unique identifier for the catalog."},{"name":"CatalogItemId","in":"path","required":true,"schema":{"type":"string"},"description":"Unique identifier for the catalog item."}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/CatalogItem"}}}},"responses":{"200":{"description":"Item updated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ItemResponse"}}}}}}}}}
```

## Delete an item for a catalog

> Permanently deletes a catalog item.

```json
{"openapi":"3.1.0","info":{"title":"Brand Product Catalogs API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}}},"paths":{"/Advertisers/{AccountSID}/Catalogs/{CatalogId}/Items/{CatalogItemId}":{"delete":{"operationId":"deleteCatalogItem","tags":["Catalog Items"],"summary":"Delete an item for a catalog","description":"Permanently deletes a catalog item.","parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"Your unique account identifier."},{"name":"CatalogId","in":"path","required":true,"schema":{"type":"string"},"description":"Unique identifier for the catalog."},{"name":"CatalogItemId","in":"path","required":true,"schema":{"type":"string"},"description":"Unique identifier for the catalog item."}],"responses":{"200":{"description":"Item deleted.","content":{"application/json":{"schema":{"type":"object","properties":{"Status":{"type":"string"}}}}}}}}}}}
```

## Bulk update items for a catalog

> Update up to 500 products at once using a JSON array.

```json
{"openapi":"3.1.0","info":{"title":"Brand Product Catalogs API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"schemas":{"CatalogItem":{"type":"object","properties":{"CatalogItemId":{"type":"string","description":"Unique identifier for the catalog item."},"Name":{"type":"string","description":"Name of the item."},"Description":{"type":"string","description":"Description of the item — information about what it is or what it does."},"CurrentPrice":{"type":"number","description":"Current consumer price of the item."},"OriginalPrice":{"type":"number","description":"Original consumer price of the item."},"Currency":{"type":"string","description":"Currency in which the item's price is listed (ISO 4217)."},"StockAvailability":{"type":"string","enum":["InStock","OutOfStock","BackOrder","PreOrder","LimitedAvailability"],"description":"Status of the product's backstock (`InStock`, `OutOfStock`, `BackOrder`, `PreOrder`, `LimitedAvailability`)."},"Manufacturer":{"type":"string","description":"The person or group that makes the item."},"Url":{"type":"string","description":"URL that leads to the item's online store listing."},"ImageUrl":{"type":"string","description":"URL that leads to the item's image."},"Category":{"type":"string","description":"Group or kind of products with which the item is associated."},"Condition":{"type":"string","description":"Condition the item is in when sold (`New`, `Used`, `Refurbished`, `OEM`, `OpenBox`)."},"Inventory":{"type":"integer","description":"Item's inventory count."},"Uri":{"type":"string","format":"uri-reference","description":"URI that points directly to this catalog item."}}},"ItemResponse":{"type":"object","properties":{"Status":{"type":"string"},"Uri":{"type":"string"}}}}},"paths":{"/Advertisers/{AccountSID}/Catalogs/{CatalogId}/bulkUpdate":{"put":{"operationId":"bulkUpdateCatalogItems","tags":["Catalog Items"],"summary":"Bulk update items for a catalog","description":"Update up to 500 products at once using a JSON array.","parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"Your unique account identifier."},{"name":"CatalogId","in":"path","required":true,"schema":{"type":"string"},"description":"Unique identifier for the catalog."}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CatalogItem"}}}}},"responses":{"200":{"description":"Bulk update processed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ItemResponse"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/catalogs/catalog-items.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
